Erro ao Tentar Instalar o certbot Usando o Snap: “error: cannot install “certbot”: classic confinement requires snaps under /snap or symlink from /snap to /var/lib/snapd/snap”

Ao tentar instalar qualquer pacote usando a opção “classic” do snap, o seguinte erro ocorre

error: cannot install “pacote x ou y”: classic confinement requires snaps under /snap or symlink from /snap to /var/lib/snapd/snap

Isso ocorre geralmente em distros Red Hat, CentOS e derivadas. E, particularmente, quando instalado via yum.

Para solucionar, se instalou usando o yum, remova o snapd.

sudo yum remove snapd

Agora refaça a instalação

sudo dnf install snapd

Crie um atalho(link simbólico) para que tenhamos suporte ao classic do snap

sudo ln -s /var/lib/snapd/snap /snap

 

Faça um teste

sudo snap install hello-world

Execute o hello-world

$ hello-world
Hello World!

Deixe um comentário

O seu endereço de e-mail não será publicado.